<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once('sadmin_conf.inc.php');
require_once('sadmin_ip_conf.inc.php');

// check
	if (!$_GET['ip_ipaddr'] || !$_GET['ip_netmask'])
		msg('올바른	URL로 접근하여 주십시오');

// data
	// [2025-07-15] 기존 웹메일 접근 IP 관리에 아이디 추가
	$_POST['ip_ipaddr'] = to_db_str($_POST['ip_ipaddr'], 15, false);
	$_POST['ip_netmask'] = to_db_str($_POST['ip_netmask'], 15, false);
	$_POST['ip_memo'] = to_db_str($_POST['ip_memo'], 255);

	$q = "UPDATE " . $ip_table . " SET ip_ipaddr='" . $_POST['ip_ipaddr'] . "', ip_netmask='".$_POST['ip_netmask']."', ip_memo='".$_POST['ip_memo']."' WHERE ip_ipaddr='" . $_GET['ip_ipaddr'] . "' AND ip_netmask='" . $_GET['ip_netmask'] . "'";
	db_query($q);

	// 디비를 기준으로 설정파일 갱신.
	nm_iptab_update_by_db($ip_table, $ip_tab);


// end
	//msg("수정되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				window.close();
			//-->
			</script>
		<?
	} else if ($_POST['back_url'])
	{
		movepage($_POST['back_url']);
	} else
	{
		movepage('sadmin_ip.php?'.get_qs('ip_ipaddr', 'ip_netmask'));
	}	// if()

require_once('include/global_end.php');
?>